com.ibm.openpages.api.questionnaire

## Enum CommentType

- java.lang.Object
- - java.lang.Enum<CommentType>
  - - com.ibm.openpages.api.questionnaire.CommentType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CommentType>

      public enum CommentType
      extends java.lang.Enum<CommentType>

  Enum for various `IComment` comment types supported by the API.

  Category:
    Questionnaire

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPT_COMMENT` Question response accept comment
    `COPIED_FROM_COMMENT` Question response copied from comment
    `NORMAL_COMMENT` Question response comment
    `REJECT_COMMENT` Question response reject comment

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommentType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CommentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL_COMMENT

          public static final CommentType NORMAL_COMMENT

      Question response comment

    - #### REJECT_COMMENT

          public static final CommentType REJECT_COMMENT

      Question response reject comment

    - #### ACCEPT_COMMENT

          public static final CommentType ACCEPT_COMMENT

      Question response accept comment

    - #### COPIED_FROM_COMMENT

          public static final CommentType COPIED_FROM_COMMENT

      Question response copied from comment

  - ### Method Detail

    - #### values

          public static CommentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommentType c : CommentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommentType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.